gnutls_certificate_set_openpgp_keyserver(3)

NAME
gnutls_certificate_set_openpgp_keyserver - Used to set an OpenPGP key server

SYNOPSIS
#include <gnutls/extra.h>

int gnutls_certificate_set_openpgp_keyserver(gnutls_certificate_credentials_t res, const char * keyserver, int port);

ARGUMENTS

gnutls_certificate_credentials_t        res
    the destination context to save the data.

const char * keyserver
    is the key server address

int port
    is the key server port to connect to

DESCRIPTION
This funtion will set a key server for use with openpgp keys. This key server will only be used if the peer sends a key fingerprint instead of a key in the handshake. Using a key server may delay the handshake process.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.